/* Set Less Frequent Variables */
set @wcCateg = 'YOUTH'; /* 'SENIOR', 'JUNIOR', 'ULTRA', 'CADET', 'YOUTH' */
set @minAge = 10; set @maxAge = 11; /* [17, 32], [15, 17], [33, 46], [12, 14], [10, 11] */
/* Set Mare Frequent Variables */
set @wcTitle = 'HEAVY'; /* 'FIN', 'FLY', 'BANTAM', 'FEATHER', 'LIGHT', 'WELTER', 'MIDDLE', 'HEAVY' */
set @minMaleWeight = 40; set @maxMaleWeight = 300;
set @minFemaleWeight = 40; set @maxFemaleWeight = 300;

/* MALE Weight Category */
INSERT INTO to_taekwondo_sparring_weightclasses (title, gender, category, minAge, maxAge, minWeight, maxWeight) 
VALUES (@wcTitle, 'MALE', @wcCateg, @minAge, @maxAge, @minMaleWeight, @maxMaleWeight);

/* FEMALE Weight Category */
INSERT INTO to_taekwondo_sparring_weightclasses (title, gender, category, minAge, maxAge, minWeight, maxWeight)
VALUES (@wcTitle, 'FEMALE', @wcCateg, @minAge, @maxAge, @minFemaleWeight, @maxFemaleWeight);

/* Display All Data Available */
/* truncate to_taekwondo_sparring_weightclasses; */
SELECT * FROM takeone_platform.to_taekwondo_sparring_weightclasses order by id desc;